Prerequisites - Magento 2 - Mercado Pago Developers

Previous requirements

To use the Mercado Pago integration with Magento 2 in your store, you must meet the requirements detailed below.

RequirementDescription
Magento Version2.x
EnvironmentLAMP (Linux, Apache, MySQL, and PHP)
LNMP stack
Operative SystemLinux x86-64
MemoryMinimum 2GB of RAM
Web ServerApache 2.x
Nginx 1.7.x
PHP Version5.6.x
7.0.2
7.0.6–7.0.x
MySQL VersionMySQL 5.6
MariaDB and Percona are compatible Magento as they support the MySQL 5.6 APIs.
Extensions dependenciesbc-math (Magento Commerce only)
curl
gd, ImageMagick 6.3.7 (or later) or both
intl
bstring
mcrypt
hash
openssl
PDO/MySQL
SimpleXML
soap
xml
xsl
zip
PHP 7 onlyjson
iconv
SSLIt is necessary to have an SSL certificate and for the payment form to be made available on an HTTPS page.
During the tests in Sandbox mode, you will be able to run the tests in HTTP.
This module is configured to support Magento 2 patterns. We recommend not using plugins or modules that change the characteristics and operation of the Magento pattern to avoid errors in the module or that it stops working.